r1414 + last adjustments before 0.14.8 RackTables-0.14.8
authorDenis Ovsienko <infrastation@yandex.ru>
Sat, 22 Dec 2007 15:12:12 +0000 (15:12 +0000)
committerDenis Ovsienko <infrastation@yandex.ru>
Sat, 22 Dec 2007 15:12:12 +0000 (15:12 +0000)
ChangeLog
inc/config.php
upgrade.php

index 0cf5176d3db230bda8afb6c990f30fb3b80e1351..81acf48ce8284f1e3f4ac92a93385875ef2a51f7 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,4 +1,4 @@
-0.14.8
+0.14.8 2007-12-22
        bugfix: adjusted hardcoded values in VLAN trigger
        bugfix: adjusted HW, SW and port types in SNMP data collector
        bugfix: Cisco connector: tolerate switch ports in suspended state
index cd0b87fa08fe341c2e5fb855bee9f75e2425e388..49fc984ad80dcc7a5b8165bb1b3059abe9566ff6 100644 (file)
@@ -11,7 +11,7 @@
 
 
 // Current code version is subject to change with each new release.
-define ('CODE_VERSION', '0.14.7');
+define ('CODE_VERSION', '0.14.8');
 
 // The name of hash used to store account password hashes
 // in the database. I think, we are happy with this one forever.
index bc63a0af3302bcab2fbb1413e09f5b6c7d54c254..88d13de9895fe4da19be36a4302d058a5ac30dbf 100644 (file)
@@ -8,7 +8,7 @@
 // Returning an empty array means that no upgrade is necessary.
 function getDBUpgradePath ($v1, $v2)
 {
-       $versionhistory = array ('0.14.4', '0.14.5', '0.14.6', '0.14.7');
+       $versionhistory = array ('0.14.4', '0.14.5', '0.14.6', '0.14.7', '0.14.8');
        if (!in_array ($v1, $versionhistory) || !in_array ($v2, $versionhistory))
        {
                showError ("An upgrade path has been requested for versions '${v1}' and '${v2}', " .
@@ -544,7 +544,6 @@ echo '</pre>';
                        break; // --------------------------------------------
                case '0.14.8':
                        $query[] = "INSERT INTO `Config` (varname, varvalue, vartype, emptyok, is_hidden, description) VALUES ('REQUIRE_ASSET_TAG_FOR','4,7,8','string','yes','no','Require asset tag for the following object types')";
-#                      $query[] = "INSERT INTO `Config` (varname, varvalue, vartype, emptyok, is_hidden, description) VALUES ('AUTO_PORTS_CONFIG','FIXME','string','yes','no','Autoports configuration')";
                        $query[] = "alter table Port modify column id int(10) unsigned NOT NULL auto_increment";
                        $query[] = "alter table Port modify column object_id int(10) unsigned NOT NULL";
                        $query[] = "alter table Port modify column type int(10) unsigned NOT NULL";
@@ -568,10 +567,14 @@ echo '</pre>';
                        $query[] = "INSERT INTO `AttributeMap` (`objtype_id`, `attr_id`, `chapter_no`) VALUES (4,25,0);";
                        $query[] = "update Dictionary set dict_value = '[[Cisco Catalyst 2970G-24T | http://www.cisco.com/en/US/products/hw/switches/ps5206/ps5313/index.html]]' where dict_key = 210";
                        $query[] = "update Dictionary set dict_value = '[[Cisco Catalyst 2970G-24TS | http://www.cisco.com/en/US/products/hw/switches/ps5206/ps5437/index.html]]' where dict_key = 211";
-#                      $query[] = "alter table Rack add column left_is_front enum ('yes', 'no') not null default 'yes' after height";
-#                      $query[] = "alter table Rack add column bottom_is_unit1 enum ('yes', 'no') not null default 'yes' after left_is_front";
                        $query[] = "update Config set varvalue = '0.14.8' where varname = 'DB_VERSION'";
                        break; // --------------------------------------------
+#              case '0.14.9':
+#                      $query[] = "INSERT INTO `Config` (varname, varvalue, vartype, emptyok, is_hidden, description) VALUES ('AUTO_PORTS_CONFIG','FIXME','string','yes','no','Autoports configuration')";
+#                      $query[] = "alter table Rack add column left_is_front enum ('yes', 'no') not null default 'yes' after height";
+#                      $query[] = "alter table Rack add column bottom_is_unit1 enum ('yes', 'no') not null default 'yes' after left_is_front";
+#                      $query[] = "update Config set varvalue = '0.14.9' where varname = 'DB_VERSION'";
+#                      break; // --------------------------------------------
                default:
                        showError ("executeUpgradeBatch () failed, because batch '${batchid}' isn't defined");
                        die;